petsc-3.6.2 2015-10-02
Report Typos and Errors

# AOCreateBasicIS

Creates a basic application ordering using two index sets.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AOCreateBasicIS(IS isapp,IS ispetsc,AO *aoout)

Collective on IS

### Input Parameters

| isapp | - index set that defines an ordering
| ispetsc | - index set that defines another ordering (may be NULL to use the natural ordering)

### Output Parameter

aoout -the new application ordering

Notes: the index sets isapp and ispetsc must contain the all the integers 0 to napp-1 (where napp is the length of the index sets) with no duplicates; that is there cannot be any "holes"

### Keywords

AO, create

### See Also

AOCreateBasic(), AODestroy()

Level:beginner
Location:src/vec/is/ao/impls/basic/aobasic.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages